def hitrejsi(kolesar1, kolesar2, razmerja):
    if dokazov(kolesar1, kolesar2, razmerja):
        return kolesar1
    elif dokazov(kolesar2, kolesar1, razmerja):
        return kolesar2
    return None


def dokazov(kolesar1, kolesar2, razmerja):
    dokazi = 0
    for kolesar in razmerja[kolesar1]:
        if kolesar == kolesar2:
            dokazi += 1
        else:
            dokazi += dokazov(kolesar, kolesar2, razmerja)
    return dokazi
